﻿//-----------------------------------------------------------------------
// <copyright file="UpdateSettings.xaml.cs" company="AXA">
//     Copyright (c) AXA. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace c0x3y.StyleCopFixer
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows;
    using System.Windows.Controls;
    using System.Windows.Data;
    using System.Windows.Documents;
    using System.Windows.Input;
    using System.Windows.Media;
    using System.Windows.Media.Imaging;
    using System.Windows.Shapes;

    /// <summary>
    /// Interaction logic for UpdateSettings.xaml
    /// </summary>
    public partial class UpdateSettings : Window
    {
        public UpdateSettings()
        {
            InitializeComponent();
            companyName.Text = Properties.StyleCopFixer.Default.CompanyName;
        }

        private void saveSettings_Click(object sender, RoutedEventArgs e)
        {
            Properties.StyleCopFixer.Default.CompanyName = companyName.Text;
            Properties.StyleCopFixer.Default.Save();
            this.Close();
        }
    }
}
